package cn.estsh.i3plus.ext.mes.api.base.ep;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesHappenStation;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;

public interface IHappenStationService {
    MesHappenStation insert(MesHappenStation happenStation);

    MesHappenStation update(MesHappenStation happenStation);

    ListPager queryByPager(MesHappenStation happenStation, Pager pager);

    int updateIsValidById(long id, Integer status);
}
